<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions name="ALFEventManager" targetNamespace="http://www.eclipse.org/alf/schema/EventBase/1" xmlns="http://www.eclipse.org/alf/schema/EventBase/1" xmlns:evt="http://www.eclipse.org/alf/schema/EventBase/1" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:tns="http://www.eclipse.org/alf/schema/EventBase/1" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/">
<wsdl:documentation>
		WARNING: PRELIMINARY VERSION SUBJECT TO CHANGE

		Copyright Notice The material in this document is Copyright (c)
		Serena Software, Inc. and others, 2005, 2006, 2007, 2008 Terms and
		Conditions: The Eclipse Foundation makes available all content
		in this document (&quot;Content&quot;). Unless otherwise indicated below,
		the Content is provided to you under the terms and conditions of
		the Eclipse Public License Version 1.0 (&quot;EPL&quot;). A copy of the
		EPL is available at http://www.eclipse.org/legal/epl-v10.html.
		For purposes of the EPL, &quot;Program&quot; will mean the Content. If you
		did not receive this Content directly from the Eclipse
		Foundation, the Content is being redistributed by another party
		(&quot;Redistributor&quot;) and different terms and conditions may apply
		to your use of any object code in the Content. Check the
		Redistributor's license that was provided with the Content. If
		you did not receive any such license, contact the Redistributor.
		Unless otherwise indicated below, the terms and conditions of
		the EPL still apply to the Content.
	</wsdl:documentation>
  <wsdl:types>
    <xsd:schema elementFormDefault="qualified" targetNamespace="http://www.eclipse.org/alf/schema/EventBase/1" xmlns="http://www.eclipse.org/alf/schema/EventBase/1" xmlns:evt="http://www.eclipse.org/alf/schema/EventBase/1">
			<xsd:include schemaLocation="ALFEventBase_1.xsd"/>

			<!-- Document Literal EventNotice service document elements -->

			<xsd:element name="ALFEventNoticeDoc" type="evt:ALFEventType">
			</xsd:element>

			<xsd:element name="ALFEventNoticeDocResponse" type="evt:ALFEventResponseType">
			</xsd:element>

			<xsd:element name="ALFEventNoticeWithReplyDoc" type="evt:ALFEventType">
			</xsd:element>

			<xsd:element name="ALFEventNoticeWithReplyDocResponse" type="evt:ALFEventWithReplyResponseType">
			</xsd:element>


			<!-- EventNoticeWithReply exceptions -->
			
	        <xsd:complexType name="NoEventActionMatchFaultType">
	            <xsd:sequence>
	            	<xsd:any maxOccurs="unbounded" minOccurs="0"/>
	            </xsd:sequence>
	        </xsd:complexType>
       
			<xsd:element name="NoEventActionMatchFault" type="evt:NoEventActionMatchFaultType">
			</xsd:element>

	        <xsd:complexType name="ServiceFlowNotAvailableFaultType">
	            <xsd:sequence>
	            	<xsd:any maxOccurs="unbounded" minOccurs="0"/>
	            </xsd:sequence>
	        </xsd:complexType>
       
			<xsd:element name="ServiceFlowNotAvailableFault" type="evt:ServiceFlowNotAvailableFaultType">
			</xsd:element>

	        <xsd:complexType name="ServiceFlowFaultType">
	            <xsd:sequence>
	            	<xsd:any maxOccurs="unbounded" minOccurs="0"/>
	            </xsd:sequence>
	        </xsd:complexType>
       
			<xsd:element name="ServiceFlowFault" type="evt:ServiceFlowFaultType">
			</xsd:element>

	        <xsd:complexType name="UnexpectedFaultType">
	            <xsd:sequence>
	            	<xsd:any maxOccurs="unbounded" minOccurs="0"/>
	            </xsd:sequence>
	        </xsd:complexType>
       
			<xsd:element name="UnexpectedFault" type="evt:UnexpectedFaultType">
			</xsd:element>

		</xsd:schema>
  </wsdl:types>
  <wsdl:message name="EventNoticeWithReplyDocResponse">
    <wsdl:part name="EventNoticeWithReplyDocResponse" element="ALFEventNoticeWithReplyDocResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="EventNotice">
    <wsdl:part name="EventNotice" type="ALFEventType">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="EventNoticeDocResponse">
    <wsdl:part name="EventNoticeDocResponse" element="ALFEventNoticeDocResponse">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="EventNoticeWithReplyResponse">
    <wsdl:part name="EventNoticeWithReplyResponse" type="ALFEventWithReplyResponseType">
    </wsdl:part>
  </wsdl:message>

  <wsdl:message name="EventNoticeDoc">
    <wsdl:part name="EventNoticeDoc" element="ALFEventNoticeDoc">
    </wsdl:part>
  </wsdl:message>


  <wsdl:message name="EventNoticeWithReplyDoc">
    <wsdl:part name="EventNoticeWithReplyDoc" element="ALFEventNoticeWithReplyDoc">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="UnexpectedFault">
    <wsdl:part name="UnexpectedFault" element="UnexpectedFault">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="EventNoticeResponse">
    <wsdl:part name="EventNoticeResponse" type="ALFEventResponseType">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="NoEventActionMatchFault">
    <wsdl:part name="NoEventActionMatchFault" element="NoEventActionMatchFault">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ServiceFlowNotAvailableFault">
    <wsdl:part name="ServiceFlowNotAvailableFault" element="ServiceFlowNotAvailableFault">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="ServiceFlowFault">
    <wsdl:part name="ServiceFlowFault" element="ServiceFlowFault">
    </wsdl:part>
  </wsdl:message>
  <wsdl:message name="EventNoticeWithReply">
    <wsdl:part name="EventNoticeWithReply" type="ALFEventType">
    </wsdl:part>
  </wsdl:message>
  <wsdl:portType name="ALFEventManagerDocLit">

    <wsdl:operation name="EventNotice">
      <wsdl:input message="EventNoticeDoc" wsaw:Action="urn:EventNotice">
    </wsdl:input>
      <wsdl:output message="EventNoticeDocResponse" wsaw:Action="urn:EventNotice">
    </wsdl:output>
      <wsdl:fault name="UnexpectedFault" message="UnexpectedFault">
    </wsdl:fault>
    </wsdl:operation>


    <wsdl:operation name="EventNoticeWithReply">
      <wsdl:input message="EventNoticeWithReplyDoc" wsaw:Action="urn:EventNoticeWithReply">
    </wsdl:input>
      <wsdl:output message="EventNoticeWithReplyDocResponse" wsaw:Action="urn:EventNoticeWithReply">
    </wsdl:output>
      <wsdl:fault name="ServiceFlowNotAvailableFault" message="ServiceFlowNotAvailableFault">
    </wsdl:fault>
      <wsdl:fault name="ServiceFlowFault" message="ServiceFlowFault">
    </wsdl:fault>
      <wsdl:fault name="NoEventActionMatchFault" message="NoEventActionMatchFault">
    </wsdl:fault>
      <wsdl:fault name="UnexpectedFault" message="UnexpectedFault">
    </wsdl:fault>
    </wsdl:operation>
  </wsdl:portType>

  <wsdl:binding name="ALFEventManagerDocLitSOAP" type="ALFEventManagerDocLit">
    <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="EventNotice">
      <soap:operation soapAction="urn:EventNotice" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="UnexpectedFault">
        <soap:fault name="UnexpectedFault" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="EventNoticeWithReply">
      <soap:operation soapAction="urn:EventNoticeWithReply" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="ServiceFlowNotAvailableFault">
        <soap:fault name="ServiceFlowNotAvailableFault" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="ServiceFlowFault">
        <soap:fault name="ServiceFlowFault" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="NoEventActionMatchFault">
        <soap:fault name="NoEventActionMatchFault" use="literal"/>
      </wsdl:fault>
      <wsdl:fault name="UnexpectedFault">
        <soap:fault name="UnexpectedFault" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="ALFEventManagerDocLit">
    <wsdl:port name="ALFEventManagerDocLitSOAP" binding="ALFEventManagerDocLitSOAP">
      <soap:address location="http://localhost:8085/eventmanager/services/ALFEventManagerDocLit/"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>
